{ pkgs, ... }:
let
  theme = import ../../../../lib/theme { inherit pkgs; };
in
{
  programs.ghostty = {
    enable = true;
    enableZshIntegration = true;

    settings = {
      font-family = "${theme.fonts.monospace.name}";
    };
  };

  catppuccin.ghostty.enable = true;
}
